[gnomeradio] - fix build with current GNOME

Dominik Mierzejewski rathann at fedoraproject.org
Sun Aug 1 20:52:04 UTC 2010


commit 7645d18b043b29be8c4a357af2a380ef77552448
Author: Dominik Mierzejewski <rpm at greysector.net>
Date:   Sun Aug 1 22:50:37 2010 +0200

    - fix build with current GNOME

 gnomeradio-gnome-3.0.patch |   62 ++++++++++++++++++++++++++++++++++++++++++++
 gnomeradio.spec            |    3 ++
 2 files changed, 65 insertions(+), 0 deletions(-)
---
diff --git a/gnomeradio-gnome-3.0.patch b/gnomeradio-gnome-3.0.patch
new file mode 100644
index 0000000..61ff98d
--- /dev/null
+++ b/gnomeradio-gnome-3.0.patch
@@ -0,0 +1,62 @@
+diff -up gnomeradio-1.8/configure.gnome-3.0 gnomeradio-1.8/configure
+--- gnomeradio-1.8/configure.gnome-3.0	2008-09-13 17:57:42.000000000 +0200
++++ gnomeradio-1.8/configure	2010-08-01 22:45:56.000000000 +0200
+@@ -22936,12 +22936,12 @@ if test -n "$PKG_CONFIG"; then
+         pkg_cv_GNOME_CFLAGS="$GNOME_CFLAGS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12") 2>&5
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12\"") >&5
++  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12") 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_GNOME_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12" 2>/dev/null`
++  pkg_cv_GNOME_CFLAGS=`$PKG_CONFIG --cflags "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12" 2>/dev/null`
+ else
+   pkg_failed=yes
+ fi
+@@ -22954,12 +22954,12 @@ if test -n "$PKG_CONFIG"; then
+         pkg_cv_GNOME_LIBS="$GNOME_LIBS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12") 2>&5
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12\"") >&5
++  ($PKG_CONFIG --exists --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12") 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_GNOME_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12" 2>/dev/null`
++  pkg_cv_GNOME_LIBS=`$PKG_CONFIG --libs "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12" 2>/dev/null`
+ else
+   pkg_failed=yes
+ fi
+@@ -22978,14 +22978,14 @@ else
+         _pkg_short_errors_supported=no
+ fi
+         if test $_pkg_short_errors_supported = yes; then
+-	        GNOME_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12"`
++	        GNOME_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12"`
+         else
+-	        GNOME_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12"`
++	        GNOME_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12"`
+         fi
+ 	# Put the nasty error message in config.log where it belongs
+ 	echo "$GNOME_PKG_ERRORS" >&5
+ 
+-	{ { echo "$as_me:$LINENO: error: Package requirements (libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12) were not met:
++	{ { echo "$as_me:$LINENO: error: Package requirements (libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12) were not met:
+ 
+ $GNOME_PKG_ERRORS
+ 
+@@ -22996,7 +22996,7 @@ Alternatively, you may set the environme
+ and GNOME_LIBS to avoid the need to call pkg-config.
+ See the pkg-config man page for more details.
+ " >&5
+-echo "$as_me: error: Package requirements (libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles >= 2.12) were not met:
++echo "$as_me: error: Package requirements (libgnomeui-2.0 >= 2.12 gconf-2.0 >= 2.12 gnome-vfs-2.0 >= 2.12 gnome-media-profiles-3.0 >= 2.12) were not met:
+ 
+ $GNOME_PKG_ERRORS
+ 
diff --git a/gnomeradio.spec b/gnomeradio.spec
index f6a8b32..67a1da3 100644
--- a/gnomeradio.spec
+++ b/gnomeradio.spec
@@ -11,6 +11,7 @@ Patch0: %{name}-v4l2.patch
 Patch1: %{name}-ld.patch
 # http://git.gnome.org/browse/gnomeradio/commit/?id=7694c70f99731724dad64444484d070ff760db89
 Patch2: %{name}-crash.patch
+Patch3: %{name}-gnome-3.0.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: desktop-file-utils
 BuildRequires: gettext
@@ -39,6 +40,7 @@ Ogg files.
 %patch0 -p1 -b .v4l2
 %patch1 -p1 -b .ld
 %patch2 -p1 -b .crash
+%patch3 -p1 -b .gnome-3.0
 %{__install} -m 755 %{SOURCE1} .
 
 %build
@@ -116,6 +118,7 @@ scrollkeeper-update -q || :
 %changelog
 * Thu Jul 15 2010 Dominik Mierzejewski <rpm at greysector.net> - 1.8-7
 - rebuild against new gnome-media-libs
+- fix build with current GNOME
 
 * Thu Jul 08 2010 Dominik Mierzejewski <rpm at greysector.net> - 1.8-6
 - fixed crash in the preferences dialog, patch from upstream (rhbz#576922)


More information about the scm-commits mailing list